API ReferenceapilivePOST /v1/sessions/{id}/register

POST /v1/sessions/\{id\}/register

Service: live · operationId: (none)

Register for a live session

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string"
    },
    "guest_email": {
      "type": "string",
      "format": "email"
    },
    "role": {
      "type": "string",
      "enum": [
        "host",
        "participant",
        "guest"
      ]
    }
  }
}

Responses

201 Registration created

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "session_id": {
      "type": "string",
      "format": "uuid"
    },
    "patient_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "guest_email": {
      "type": [
        "string",
        "null"
      ]
    },
    "role": {
      "type": "string",
      "enum": [
        "host",
        "participant",
        "guest"
      ]
    },
    "registered_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "session_id",
    "patient_id",
    "guest_email",
    "role",
    "registered_at"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Session not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

409 Already registered

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Session is at capacity or in invalid state

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://live.platform.loop.health/v1/sessions/{id}/register \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'